/************************************************************************
 * IRC - Internet Relay Chat, modules/m_fakeip.c
 *
 *   Copyright (C) 2000-2002 TR-IRCD Development
 *
 *   Copyright (C) 1990 Jarkko Oikarinen and
 *                      University of Oulu, Co Center
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "struct.h"
#include "numeric.h"
#include "sys.h"
#include "msg.h"
#include "h.h"

int m_fakeip(aClient *, aClient *, int, char **);

static struct Message _msgtab[] = {
    {"FAKEIP", 0, MAXPARA, M_SLOW, 0L,
     m_unregistered, m_permission, m_fakeip, m_ignore, m_ignore}
};

#ifndef STATIC_MODULES

char *_version = "$Revision: 5.4 $";

void _modinit(void)
{
    mod_add_cmd(_msgtab);
}

void _moddeinit(void)
{
    mod_del_cmd(_msgtab);
}
#else
void m_fakeip_init(void)
{
    mod_add_cmd(_msgtab);
}
#endif

int m_fakeip(aClient *cptr, aClient *sptr, int parc, char *parv[])
{
    char iptofake[HOSTLEN];

    if (parc < 2) {
	send_me_notice(sptr, ":No IP given for hiding");
	return 0;
    }

    send_me_notice(sptr, ":IP %s is %s", parv[1], calcmask(parv[1], 
iptofake));
    return 0;
}
